// these defs are a little changed compared to the dc1394 files
// but it is necessary for the use of this interface...

// the following lists are all the 'standard' controls available through the interface
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include "definitions.h"
#include <libdc1394/dc1394_control.h>
#include <libraw1394/raw1394.h>
#include "video1394.h"

const char * feature_list[NUM_FEATURES] = {
    "brightness",
    "exposure",
    "sharpness",
    "whitebal",
    "hue",
    "saturation",
    "gamma",
    "shutter",
    "gain",
    "iris",
    "focus",
    "temp",
    "trigger",
    "zoom",
    "pan",
    "tilt",
    "filter",
    "capsize",
    "capqual"
};

const char * feature_op_list[NUM_FEATURES] = {
    "brightness_op",
    "exposure_op",
    "sharpness_op",
    "whitebal_op",
    "hue_op",
    "saturation_op",
    "gamma_op",
    "shutter_op",
    "gain_op",
    "iris_op",
    "focus_op",
    "temp_op",
    "trigger_op",
    "zoom_op",
    "pan_op",
    "tilt_op",
    "filter_op",
    "capsize_op",
    "capqual_op"
};

const char * feature_man_list[NUM_FEATURES] = {
    "brightness_man",
    "exposure_man",
    "sharpness_man",
    "whitebal_man",
    "hue_man",
    "saturation_man",
    "gamma_man",
    "shutter_man",
    "gain_man",
    "iris_man",
    "focus_man",
    "temp_man",
    "trigger_man",
    "zoom_man",
    "pan_man",
    "tilt_man",
    "filter_man",
    "capsize_man",
    "capqual_man"
};

const char * feature_auto_list[NUM_FEATURES] = {
    "brightness_auto",
    "exposure_auto",
    "sharpness_auto",
    "whitebal_auto",
    "hue_auto",
    "saturation_auto",
    "gamma_auto",
    "shutter_auto",
    "gain_auto",
    "iris_auto",
    "focus_auto",
    "temp_auto",
    "trigger_auto",
    "zoom_auto",
    "pan_auto",
    "tilt_auto",
    "filter_auto",
    "capsize_auto",
    "capqual_auto"
};

const char * feature_power_list[NUM_FEATURES] = {
    "brightness_power",
    "exposure_power",
    "sharpness_power",
    "whitebal_power",
    "hue_power",
    "saturation_power",
    "gamma_power",
    "shutter_power",
    "gain_power",
    "iris_power",
    "focus_power",
    "temp_power",
    "trigger_power",
    "zoom_power",
    "pan_power",
    "tilt_power",
    "filter_power",
    "capsize_power",
    "capqual_power"
};

const char * feature_scale_list[NUM_FEATURES] = {
    "brightness_scale",
    "exposure_scale",
    "sharpness_scale",
    "whitebal_scale",
    "hue_scale",
    "saturation_scale",
    "gamma_scale",
    "shutter_scale",
    "gain_scale",
    "iris_scale",
    "focus_scale",
    "temp_scale",
    "trigger_scale",
    "zoom_scale",
    "pan_scale",
    "tilt_scale",
    "filter_scale",
    "capsize_scale",
    "capqual_scale"
};

const char * feature_frame_list[NUM_FEATURES] = {
    "brightness_frame",
    "exposure_frame",
    "sharpness_frame",
    "whitebal_frame",
    "hue_frame",
    "saturation_frame",
    "gamma_frame",
    "shutter_frame",
    "gain_frame",
    "iris_frame",
    "focus_frame",
    "temp_frame",
    "trigger_frame",
    "zoom_frame",
    "pan_frame",
    "tilt_frame",
    "filter_frame",
    "capsize_frame",
    "capqual_frame"
};
